Bug 333385 - Selecting a month in the tree view shows a different month in calendar and icon view
Summary: Selecting a month in the tree view shows a different month in calendar and ic...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Searches-Dates (show other bugs)
Version: 4.0.0
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-13 19:04 UTC by Michael G. Hansen
Modified: 2014-09-02 15:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0


Attachments
Calendar view with two different months shown at once. (444.05 KB, image/png)
2014-04-13 19:05 UTC, Michael G. Hansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael G. Hansen 2014-04-13 19:04:38 UTC
When I open the calendar view and click on "April 2009" in the tree view, the calendar on the bottom shows "May 2009" and the icon view also shows images from May 2009. The relation between the month clicked and the month shown does not seem to be just an offset error, but somehow random.

Reproducible: Always
Comment 1 Michael G. Hansen 2014-04-13 19:05:20 UTC
Created attachment 86077 [details]
Calendar view with two different months shown at once.
Comment 2 caulier.gilles 2014-04-14 15:08:15 UTC
Hi Michael,

It's fully reproducible here. 

I suspect a sort album problem implemented recently by Mohamed. Please check if Album sorting option from Main menu has an effect around this problem. Thanks in advance

Gilles Caulier
Comment 3 caulier.gilles 2014-04-14 15:08:55 UTC
Look this entry about Mohamed work :

https://bugs.kde.org/show_bug.cgi?id=227530

Gilles Caulier
Comment 4 Michael G. Hansen 2014-05-02 18:56:42 UTC
Git commit 0e516ca555ce6ff8f058fb95e17cf417f90f980e by Michael Georg Hansen.
Committed on 02/05/2014 at 18:53.
Pushed by mghansen into branch 'master'.

Fix selection of albums in the date tree view.

This bug first appeared in commit 7aa8ffde3f05c36857ee0e36d0131be0affa9b54.
FIXED-IN: 4.0.0

M  +2    -1    NEWS
M  +18   -4    digikam/album/albumtreeview.cpp

http://commits.kde.org/digikam/0e516ca555ce6ff8f058fb95e17cf417f90f980e